DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# StringArrayCopy

Copy a string array

## SYNOPSIS

`#include "dip_string.h"`

dip_Error dip_StringArrayCopy ( new, src, resources )

## FUNCTION

This function copies the complete `src` string array to `new`.

## ARGUMENTS

Data type | Name | Description
`dip_StringArray *` | `new` | Pointer to the destination `dip_StringArray` structure
`dip_StringArray` | `src` | Source string array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`StringArrayNew`, `StringArrayFree`

`IntegerArrayCopy`, `FloatArrayCopy`, `ComplexArrayCopy`, `DataTypeArrayCopy`, `BooleanArrayCopy`, `VoidPointerArrayCopy`, `StringArrayCopy`

DIPlib on-line documentation | Function reference | Global function index